> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/get-started/configuration/1.-binary-integration.md).

# 1. バイナリ統合

## Android向けNFC Wallet SDKを統合する

このガイドを使用して、NFC Wallet SDKライブラリをAndroidに追加します **デジタルウォレットアプリケーション**.

### 対応構成

Android向け最新のNFC Wallet SDKは、この統合に対して次の構成をサポートしています:

* **Androidバージョン:** 8.1 ～ 16.0
* **CPUアーキテクチャ（ABI）:** `armeabi-v7a`, `arm64-v8a`

{% hint style="info" %}
サポートされるAndroidバージョンはSDKリリースごとに異なります。最新の互換性状況については、 [モバイル OS の互換性](/nfc-wallet-sdk-android/ja/general/mobile-os-compatibility.md).
{% endhint %}

### AARファイルをコピーする

SDKのAARファイルを取得します [提供物](/nfc-wallet-sdk-android/ja/general/deliverables.md).

それらをプロジェクト内の専用フォルダにコピーします。例:

```
./dependencies
 ├── TSHPaySDK-dev-[version].[qualifier].aar
 └── TSHPaySDK-release-[version].[qualifier].aar
```

{% hint style="info" %}
NFC Wallet SDKは以前、 **TSH Pay SDK**.

と呼ばれていました。まだ一部の配布物では `TSHPaySDK-...` をAARファイル名のプレフィックスとして使用しています。
{% endhint %}

### リポジトリを設定する

以下を使用して、そのフォルダをローカルのMavenリポジトリとして追加します `flatDir`.

{% tabs %}
{% tab title="Groovy（settings.gradle）" %}
{% code title="settings.gradle" %}

```groovy
dependencyResolutionManagement {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://developer.huawei.com/repo/' }
        flatDir { dirs "$rootDir/dependencies" }
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Groovy（root build.gradle）" %}
{% code title="build.gradle" %}

```groovy
allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://developer.huawei.com/repo/' }
        flatDir { dirs "${rootProject.projectDir}/dependencies" }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### ABI分割を有効にする

APKサイズを削減するためにABI分割を有効にします（ABIごとに1つのAPK）。参照: [複数のAPKをビルドする](/nfc-wallet-sdk-android/ja/get-started/configuration/1.-binary-integration/build-multiple-apks.md).

### 依存関係を追加する

依存関係に宣言します:

* NFC Wallet AAR
* 必要な外部ライブラリの依存関係:
  * JNA（[Java Native Access](https://github.com/java-native-access/jna/tree/5.17.0))

{% code title="app/build.gradle" expandable="true" %}

```groovy
def nfcWalletSdkVersion = "[version].[qualifier]"

dependencies {
    // NFC Wallet SDK（AARファイル名は引き続き "TSHPaySDK" で始まる場合があります）
    debugImplementation(name: "TSHPaySDK-dev-${nfcWalletSdkVersion}", ext: "aar")
    releaseImplementation(name: "TSHPaySDK-release-${nfcWalletSdkVersion}", ext: "aar")

    // SDKの依存関係
    // JNA
    implementation(libs.jna) { artifact { type = 'aar' } }
    
    // FCM - Googleプッシュ通知
    implementation platform(libs.firebase.bom)
    implementation libs.firebase.messaging
    implementation libs.firebase.analytics

    // サイズ問題を防ぐためのマルチデックスアプリケーション。
    implementation libs.multidex
}
```

{% endcode %}

{% hint style="warning" %}
16 KBメモリページを使用するデバイスをサポートするには、JNA 5.17.0以降が必要です。
{% endhint %}

{% hint style="info" %}
プッシュ通知（FCMまたはHMS Push Kit）を使用する場合は、必要な依存関係を追加してください。参照: [プッシュプロバイダーを設定する](/nfc-wallet-sdk-android/ja/get-started/configuration/5.-push-notifications/configure-push-provider.md).
{% endhint %}

### ビルドを確認する

これでプロジェクトは同期およびコンパイルの準備が整いました。

1. Gradleを同期します。
2. をビルドします。 `dev` バリアント。

{% hint style="info" %}
新規または更新されたデジタルウォレットアプリのリリースでは、Google Playの対象APIレベル要件に準拠する必要があります。参照: [Google Playの対象APIレベル要件を満たす](https://developer.android.com/google/play/requirements/target-sdk).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/ja/get-started/configuration/1.-binary-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
